<?php

ini_set('display_errors', 'on');
require_once 'init.php';


$router->respond('GET', '/', function(){
   $templater = Agolomazov\Templater\Templater::getInstance();
   return $templater->render('pages/index.twig', array(
       'title' => 'Главная страница сайта'
   ));
});

$router->respond('GET', '/editor/', function(){
    $templater = Agolomazov\Templater\Templater::getInstance();
    return $templater->render('pages/editor.twig', array(
        'title' => 'Страница с редактором'
    ));
});

$router->respond('GET', '/contacts', function(){
    $templater = Agolomazov\Templater\Templater::getInstance();
    $managers = new Agolomazov\Models\Managers;
    $records = $managers->getAll();


    return $templater->render('pages/contacts.twig', array(
        'title' => 'Страница контактов',
        'managers' => $records,
        'config'   => include_once 'config/main.php'
    ));
});



$router->respond('POST', '/contacts', function(){

    $fio = $_POST['fio'];
    $phone = $_POST['phone'];
    $email = $_POST['email'];
    $message = $_POST['message'];

    $config = include_once 'config/main.php';

    $mailer = new PHPMailer();
    $mailer->IsSendmail();
    $mailer->addAddress($config['email']['adminemail'], $config['email']['adminname']);
    $mailer->Subject = "Письмо с сайта";
    $mailer->msgHTML($message);
    $mailer->send();

    $templater = Agolomazov\Templater\Templater::getInstance();
    return $templater->render('pages/success.twig', array(
        'title' => 'Страница контактов',
        'config'   => include_once 'config/main.php'
    ));

});


$router->onHttpError(function ($code, $router) {
    switch ($code) {
        case 404:
            $templater = Agolomazov\Templater\Templater::getInstance();
            echo $templater->render('pages/404.twig', array(
                'title' => '404 - Страница не найдена'
            ));
            break;

    }
});

$router->dispatch();


